Screen1 As screen:
    Fill: =RGBA(0, 52, 128, 1)
    ImagePosition: =ImagePosition.Fill

    ConBan As groupContainer.manualLayoutContainer:
        BorderStyle: =BorderStyle.None
        DropShadow: =DropShadow.None
        Height: =Parent.Height/13
        Width: =Parent.Width
        ZIndex: =1

        Banlabel1 As label:
            Align: =Align.Center
            AutoHeight: =true
            BorderColor: =RGBA(0, 0, 0, 0)
            BorderStyle: =BorderStyle.None
            BorderThickness: =2
            Color: =RGBA(255, 255, 255, 1)
            DisabledBorderColor: =RGBA(0, 0, 0, 0)
            DisabledColor: =RGBA(255, 255, 255, 1)
            FocusedBorderThickness: =4
            Font: =Font.'Segoe UI'
            Height: =ConBan.Height
            Italic: =true
            Size: =ConBan.Height/3.6
            Text: |-
                ="Ask
                ChatGPT"
            Width: =ConBan.Height*1.6
            X: =ConBan.Width - (ConBan.Width - ConBan.Width/25)
            Y: =ConBan.Y
            ZIndex: =1

        Logo As image:
            Height: =ConBan.Height - (ConBan.Height/6)
            Image: ='ard-logo'
            Width: =ConBan.Width/3.5
            X: =ConBan.Width/3
            Y: =ConBan.Y + (ConBan.Height/7)
            ZIndex: =2

    ConFkt1 As groupContainer.manualLayoutContainer:
        BorderStyle: =BorderStyle.None
        DropShadow: =DropShadow.None
        Height: =Parent.Height/11
        Width: =Parent.Width
        Y: =ConResp.Y + ConResp.Height
        ZIndex: =2

        Completionmode1 As toggleSwitch:
            BorderColor: =RGBA(0, 52, 128, 1)
            Color: =RGBA(255, 255, 255, 1)
            DisabledBorderColor: =RGBA(0, 52, 128, 1)
            FalseFill: =RGBA(255, 255, 255, 1)
            FalseHoverFill: =RGBA(251, 188, 159, 1)
            FalseText: ="Creativity" & Char(10) & "mode off"
            FocusedBorderThickness: =4
            Font: =Font.'Segoe UI'
            HandleFill: =RGBA(128, 128, 128, 1)
            Height: =ConFkt1.Height/2
            HoverBorderColor: =RGBA(0, 52, 128, 1)
            LabelPaddingLeft: =7
            PressedBorderColor: =RGBA(0, 52, 128, 1)
            ShowLabel: =false
            Size: =18
            TabIndex: =1
            TrueFill: =RGBA(251, 188, 159, 1)
            TrueHoverFill: =RGBA(251, 188, 159, 1)
            TrueText: ="Creativity" & Char(10) & "mode on"
            Width: |-
                =If(ConFkt1.Height<=ConFkt1.Width/6, ConFkt1.Height, 
                ConFkt1.Height > ConFkt1.Width/6, ConFkt1.Width/6)
            X: =ConFkt1.Width - (ConFkt1.Width - ConFkt1.Width/25)
            Y: =ConFkt1.Height - (ConFkt1.Height - ConFkt1.Height/4)
            ZIndex: =1

        Fktlabel1 As label:
            Align: =Align.Center
            AutoHeight: =true
            BorderColor: =RGBA(0, 0, 0, 0)
            BorderStyle: =BorderStyle.None
            BorderThickness: =2
            Color: =RGBA(255, 255, 255, 1)
            DisabledBorderColor: =RGBA(0, 0, 0, 0)
            DisabledColor: =RGBA(161, 159, 157, 1)
            FocusedBorderThickness: =4
            Font: =Font.'Segoe UI'
            Height: =Completionmode1.Height
            Size: =Completionmode1.Height/2
            Text: ="Creativity" & Char(10) & "Mode"
            Width: |-
                =If(ConFkt1.Height<=ConFkt1.Width/6, ConFkt1.Height*1.7, 
                ConFkt1.Height > ConFkt1.Width/6, ConFkt1.Width/3)
            X: =(ConFkt1.Width - (ConFkt1.Width - ConFkt1.Width/25)) + Completionmode1.Width
            Y: =Completionmode1.Y + (Completionmode1.Height - Fktlabel1.Height)/2	
            ZIndex: =2

        Eraser1 As icon.Erase:
            BorderColor: =RGBA(0, 0, 0, 0)
            Color: =RGBA(255, 255, 255, 1)
            DisabledBorderColor: =RGBA(245, 245, 245, 1)
            DisabledColor: =RGBA(204, 204, 204, 1)
            DisabledFill: =RGBA(0, 0, 0, 0)
            Fill: =RGBA(0, 52, 128, 1)
            FocusedBorderThickness: =0
            Height: =Completionmode1.Height*1.6
            HoverBorderColor: =RGBA(0, 0, 0, 0)
            HoverColor: =RGBA(251, 188, 159, 1)
            HoverFill: =RGBA(0, 0, 0, 0)
            Icon: =Icon.Erase
            OnSelect: =Set(varResp, Blank());
            PressedBorderColor: =RGBA(0, 0, 0, 0)
            PressedColor: =RGBA(251, 188, 159, 1)
            PressedFill: =RGBA(0, 0, 0, 0)
            TabIndex: =3
            Width: |-
                =If(ConFkt1.Height<=ConFkt1.Width/6, ConFkt1.Height, 
                ConFkt1.Height > ConFkt1.Width/6, ConFkt1.Width/6)
            X: =ConFkt1.Width - ConFkt1.Width/25 - Eraser1.Width
            Y: =Completionmode1.Y + (Completionmode1.Height - Eraser1.Height)/2	
            ZIndex: =3

        SendMail1 As icon.Mail:
            AccessibleLabel: ="ALSendMail1"
            BorderColor: =RGBA(0, 0, 0, 0)
            Color: =RGBA(255, 255, 255, 1)
            DisabledBorderColor: =RGBA(245, 245, 245, 1)
            DisabledColor: =RGBA(204, 204, 204, 1)
            DisabledFill: =RGBA(0, 0, 0, 0)
            Fill: =RGBA(0, 52, 128, 1)
            FocusedBorderThickness: =0
            Height: =Completionmode1.Height*1.6
            HoverBorderColor: =RGBA(0, 0, 0, 0)
            HoverColor: =RGBA(251, 188, 159, 1)
            HoverFill: =RGBA(0, 0, 0, 0)
            Icon: =Icon.Mail
            OnSelect: |-
                =//MailMyChatbox.Run(varResp);
                Office365Outlook.SendEmailV2("manuel.geyer@rbb-online.de","### test ###", varResp);
                //Office365Outlook.SendEmailV2("manuel.geyer@rbb-online.de","#RBB - TK-Formular-mob-TK" & " " & TextInput_Betreff.Text,TextInput_Nachricht.Text & "<br><br>" & "RBB - PowerPlatform")
            PressedBorderColor: =RGBA(0, 0, 0, 0)
            PressedColor: =RGBA(251, 188, 159, 1)
            PressedFill: =RGBA(0, 0, 0, 0)
            Rotation: =20
            Width: |-
                =If(ConFkt1.Height<=ConFkt1.Width/6, ConFkt1.Height, 
                ConFkt1.Height > ConFkt1.Width/6, ConFkt1.Width/6)
            X: =(ConFkt1.Width - (ConFkt1.Width - ConFkt1.Width/25)) + Completionmode1.Width + Fktlabel1.Width + ConFkt1.Width/40
            Y: =Completionmode1.Y + (Completionmode1.Height - SendMail1.Height)/2	
            ZIndex: =4

    ConResp As groupContainer.manualLayoutContainer:
        BorderStyle: =BorderStyle.None
        DropShadow: =DropShadow.None
        Height: =Parent.Height/1.6
        Width: =Parent.Width
        Y: =ConBan.Y + ConBan.Height
        ZIndex: =3

        chatbox1 As text:
            AccessibleLabel: ="ALchatbox1"
            BorderColor: =RGBA(224, 24, 24, 1)
            BorderThickness: =0
            Default: =varResp
            DisabledBorderColor: =RGBA(255, 255, 255, 1)
            DisabledColor: =RGBA(161, 159, 157, 1)
            DisabledFill: =RGBA(242, 242, 241, 0)
            DisplayMode: =DisplayMode.View
            Fill: =RGBA(236, 236, 235, 1)
            Font: =Font.'Segoe UI'
            Height: =ConResp.Height - 2* (ConResp.Height/50)
            HoverBorderColor: =RGBA(255, 255, 255, 1)
            HoverFill: =RGBA(255, 255, 255, 1)
            MaxLength: =300
            Mode: =TextMode.MultiLine
            OnChange: =//chatbox1.ScrollToEnd();
            OnSelect: =
            PressedBorderColor: =RGBA(255, 255, 255, 1)
            PressedColor: =RGBA(50, 49, 48, 1)
            PressedFill: =RGBA(255, 255, 255, 1)
            RadiusBottomLeft: =10
            RadiusBottomRight: =10
            RadiusTopLeft: =10
            RadiusTopRight: =10
            Reset: =
            Size: =28
            Width: =ConResp.Width - 2*(ConResp.Width/25)
            X: =ConResp.Width - (ConResp.Width - ConResp.Width/25)
            Y: =ConResp.Height - (ConResp.Height - ConResp.Height/50)
            ZIndex: =1

        chatbox1_1 As text:
            AccessibleLabel: ="ALchatbox1"
            BorderColor: =RGBA(224, 24, 24, 1)
            BorderThickness: =0
            Default: =varRespMail
            DisabledBorderColor: =RGBA(255, 255, 255, 1)
            DisabledColor: =RGBA(161, 159, 157, 1)
            DisabledFill: =RGBA(242, 242, 241, 0)
            DisplayMode: =DisplayMode.View
            Fill: =RGBA(236, 236, 235, 1)
            Font: =Font.'Segoe UI'
            Height: =53
            HoverBorderColor: =RGBA(255, 255, 255, 1)
            HoverFill: =RGBA(255, 255, 255, 1)
            MaxLength: =300
            Mode: =TextMode.MultiLine
            OnChange: =//chatbox1.ScrollToEnd();
            OnSelect: =
            PressedBorderColor: =RGBA(255, 255, 255, 1)
            PressedColor: =RGBA(50, 49, 48, 1)
            PressedFill: =RGBA(255, 255, 255, 1)
            RadiusBottomLeft: =10
            RadiusBottomRight: =10
            RadiusTopLeft: =10
            RadiusTopRight: =10
            Reset: =
            Size: =28
            Width: =70
            Y: =657
            ZIndex: =2

    ConSend As groupContainer.manualLayoutContainer:
        BorderStyle: =BorderStyle.None
        DropShadow: =DropShadow.None
        Height: =Parent.Height - ConSend.Y
        Width: =Parent.Width
        Y: =ConFkt1.Y + ConFkt1.Height
        ZIndex: =4

        textinput1 As text:
            BorderColor: =RGBA(224, 24, 24, 1)
            BorderThickness: =0
            Default: =""
            DisabledBorderColor: =RGBA(255, 255, 255, 1)
            DisabledColor: =RGBA(161, 159, 157, 1)
            DisabledFill: =RGBA(242, 242, 241, 0)
            EnableSpellCheck: =true
            Font: =Font.'Segoe UI'
            Height: =ConSend.Height - 2* (ConSend.Height/10)
            HoverBorderColor: =RGBA(255, 255, 255, 1)
            HoverFill: =RGBA(255, 255, 255, 1)
            MaxLength: =88
            Mode: =TextMode.MultiLine
            OnChange: =
            OnSelect: =
            PressedBorderColor: =RGBA(255, 255, 255, 1)
            PressedColor: =RGBA(50, 49, 48, 1)
            PressedFill: =RGBA(255, 255, 255, 1)
            RadiusBottomLeft: =10
            RadiusBottomRight: =10
            RadiusTopLeft: =10
            RadiusTopRight: =10
            Reset: =
            Size: =24
            Width: |+
                =ConSend.Width - ((ConSend.Width/25)*2.5) - send1.Width
                
            X: =ConSend.Width - (ConSend.Width - ConSend.Width/25)
            Y: =ConSend.Height - (ConSend.Height - ConSend.Height/15)
            ZIndex: =1

        send1 As icon.Send:
            AccessibleLabel: ="ALsend1"
            AutoDisableOnSelect: =
            BorderColor: =RGBA(0, 0, 0, 0)
            Color: =RGBA(255, 255, 255, 1)
            DisabledBorderColor: =RGBA(245, 245, 245, 1)
            DisabledColor: =RGBA(225, 223, 221, 1)
            DisabledFill: =RGBA(0, 0, 0, 0)
            Fill: =RGBA(0, 52, 128, 1)
            FocusedBorderThickness: =4
            Height: =Completionmode1.Height*1.3
            HoverBorderColor: =RGBA(0, 0, 0, 0)
            HoverColor: =RGBA(251, 188, 159, 1)
            HoverFill: =RGBA(0, 0, 0, 0)
            Icon: =Icon.Send
            OnSelect: |-
                =If(!IsBlank(textinput1.Text), Set(varResp, varResp & Char(13) & textinput1.Text & Char(13) & Char(13) & "GPT: " & ConnectAzureOpenai.Run(textinput1.Text).assi));
                Reset(textinput1);
                Notify("ChatGPT asked", NotificationType.Success, 1000);
            PressedBorderColor: =RGBA(0, 0, 0, 0)
            PressedColor: =RGBA(251, 188, 159, 1)
            PressedFill: =RGBA(0, 0, 0, 0)
            TabIndex: =2
            Tooltip: ="1"
            Width: |-
                =If(ConSend.Height<=ConSend.Width/6, ConSend.Height, 
                ConSend.Height > ConSend.Width/6, ConSend.Width/8)
            X: =ConSend.Width - ConSend.Width/25 - send1.Width
            Y: =textinput1.Y + (textinput1.Height - send1.Height)/2	
            ZIndex: =2

